## oci-seccomp-bpf-hook 1.2.8+ds

=== Makefile ===
export GO111MODULE=off

GO ?= go
GO_BUILD=$(GO) build
# Go module support: set `-mod=vendor` to use the vendored sources
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
endif
DESTDIR ?=
PREFIX ?= /usr/local
SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)
PROJECT := github.com/containers/oci-seccomp-bpf-hook
HOOK_BIN_DIR ?= $(PREFIX)/libexec/oci/hooks.d
ETCDIR ?= /etc
HOOK_DIR ?= $(PREFIX)/share/containers/oci/hooks.d/
OSBH_VERSION ?= $(shell cat ./VERSION)

# Can be used for local testing (e.g., to set filters)
BATS_OPTS ?=

# If GOPATH not specified, use one in the local directory
ifeq ($(GOPATH),)
export GOPATH := $(CURDIR)/_output
unexport GOBIN
endif
FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
GOPKGDIR := $(FIRST_GOPATH)/src/$(PROJECT)
GOPKGBASEDIR ?= $(shell dirname "$(GOPKGDIR)")

GOBIN := $(shell $(GO) env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(FIRST_GOPATH)/bin
endif

define go-get
	env GO111MODULE=off \
		$(GO) get -u $(1)
endef

.PHONY: all
all: docs binary

.PHONY: docs
docs:
	$(MAKE) -C docs PREFIX=$(PREFIX)

.PHONY: binary
binary:
	$(GO_BUILD) -mod=vendor -o bin/oci-seccomp-bpf-hook -ldflags "-X main.version=$(OSBH_VERSION)" $(PROJECT)

.PHONY: validate
validate:
	./build/golangci-lint run

.PHONY: vendor
vendor:
	GO111MODULE=on $(GO) mod tidy
	GO111MODULE=on $(GO) mod vendor
	GO111MODULE=on $(GO) mod verify

.PHONY: test-integration
test-integration:
	@echo
	@echo "==> Running integration tests (must be run as root)"
	./hack/check_root.sh
	bats $(BATS_OPTS) test/

.PHONY: test-unit
test-unit:
	$(GO) test -v $(PROJECT)


.PHONY: install.tools
install.tools: .install.golangci-lint .install.md2man

.install.golangci-lint: VERSION=v1.45.2
.install.golangci-lint:
	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)

.install.md2man:
	if [ -z "$(shell type -P go-md2man)" ]; then \
		   $(call go-get,github.com/cpuguy83/go-md2man); \
	fi

.PHONY: install.docs-nobuild
install.docs-nobuild:
	$(MAKE) -C docs install-nobuild

.PHONY: install.docs
install.docs:
	$(MAKE) -C docs install

.PHONY: install-nobuild
install-nobuild: install.docs-nobuild
	install $(SELINUXOPT) -d -m 755 $(DESTDIR)$(HOOK_BIN_DIR)
	install $(SELINUXOPT) -d -m 755 $(DESTDIR)$(HOOK_DIR)
	install $(SELINUXOPT) -m 755 bin/oci-seccomp-bpf-hook $(DESTDIR)$(HOOK_BIN_DIR)
	install $(SELINUXOPT) -m 644 oci-seccomp-bpf-hook.json $(DESTDIR)$(HOOK_DIR)
	sed -i 's|HOOK_BIN_DIR|$(HOOK_BIN_DIR)|g' $(DESTDIR)$(HOOK_DIR)/oci-seccomp-bpf-hook.json

.PHONY: install
install: docs install-nobuild

clean: ## Clean artifacts
	$(MAKE) -C docs clean
	rm -rf \
		bin
	find . -name \*~ -delete
	find . -name \#\* -delete

=== debian/changelog ===
oci-seccomp-bpf-hook (1.2.8+ds-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 10:43:34 +0530

oci-seccomp-bpf-hook (1.2.8+ds-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:11 +1200

oci-seccomp-bpf-hook (1.2.8+ds-1) unstable; urgency=medium

  * New upstream version.
  * Add build depends on libconfig-model-dpkg-perl.
  * Update debian/copyright.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 23 Oct 2022 10:24:40 +0200

oci-seccomp-bpf-hook (1.2.6+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1014406)

 -- Domenico Andreoli <cavok@debian.org>  Wed, 20 Jul 2022 23:30:26 +0200

=== debian/control ===
Source: oci-seccomp-bpf-hook
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Domenico Andreoli <cavok@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-containers-common-dev,
               golang-github-iovisor-gobpf-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-stretchr-testify-dev,
               golang-gopkg-yaml.v3-dev,
               golang-logrus-dev,
               libconfig-model-dpkg-perl,
               libseccomp-dev,
               pkg-config
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook
Vcs-Git: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook.git
Homepage: https://github.com/containers/oci-seccomp-bpf-hook
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/oci-seccomp-bpf-hook

Package: oci-seccomp-bpf-hook
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: OCI hook to trace syscalls and generate a seccomp profile
 This project provides an OCI hook to generate seccomp profiles by
 tracing the syscalls made by the container. The generated profile
 would allow all the syscalls made and deny every other syscall.

## oci-seccomp-bpf-hook 1.2.9%2Bds

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%oci-seccomp-bpf-hook-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
  https://github.com/containers/oci-seccomp-bpf-hook/tags .*/v?(\d\S*)\.tar\.gz debian

## oci-seccomp-bpf-hook 1.2.9+ds

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 .PHONY: install.tools
 install.tools: .install.golangci-lint .install.md2man
 
-.install.golangci-lint: VERSION=v1.45.2
+.install.golangci-lint: VERSION=v1.50.1
 .install.golangci-lint:
 	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)

=== debian/changelog ===
oci-seccomp-bpf-hook (1.2.9+ds-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:08:44 +1000

oci-seccomp-bpf-hook (1.2.9+ds-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:08:58 +0530

oci-seccomp-bpf-hook (1.2.9+ds-1build1) noble; urgency=medium

  * Rebuild against 'new FORTIFY_SOURCE=3'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2023 22:02:14 +0100

oci-seccomp-bpf-hook (1.2.9+ds-1) unstable; urgency=medium

  * New upstream version.
  * Update d/copyright. (Closes: #1052084)
  * Update standards version to 4.6.2, no changes needed.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 30 Sep 2023 08:42:59 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libconfig-model-dpkg-perl,
                libseccomp-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook
 Vcs-Git: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook.git
 Homepage: https://github.com/containers/oci-seccomp-bpf-hook

## oci-seccomp-bpf-hook 1.2.10%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: oci-seccomp-bpf-hook
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Domenico Andreoli <cavok@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -19,7 +18,7 @@
                libconfig-model-dpkg-perl,
                libseccomp-dev,
                pkg-config
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook
 Vcs-Git: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook.git
 Homepage: https://github.com/containers/oci-seccomp-bpf-hook

## oci-seccomp-bpf-hook 1.2.10+ds

=== debian/changelog ===
oci-seccomp-bpf-hook (1.2.10+ds-2) unstable; urgency=medium

  * Update debian/copyright-scan. (Closes: #1093641)

 -- Domenico Andreoli <cavok@debian.org>  Mon, 03 Feb 2025 15:30:33 +0100

oci-seccomp-bpf-hook (1.2.10+ds-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version to 4.7.0, no changes needed.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 17 May 2024 17:48:17 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr BUILDDIR=_build DESTDIR=$(CURDIR)/debian/oci-seccomp-bpf-hook

execute_after_dh_auto_clean:
	rm -f docs/oci-seccomp-bpf-hook.1

execute_before_dh_auto_configure: copyright-scan

copyright-scan:
	scan-copyrights >debian/$@.new.tmp 2>debian/$@.new.todo.tmp
	(sed -e 's/^/# /' debian/$@.new.todo.tmp; echo; cat debian/$@.new.tmp) >debian/$@.new
	diff -u debian/$@ debian/$@.new
	rm debian/$@.new*

copyright-update: copyright-scan
	cme update -q dpkg-copyright

## oci-seccomp-bpf-hook 1.2.11+ds

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
 	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
 endif
+BUILDDIR ?= .
 DESTDIR ?=
 PREFIX ?= /usr/local
 SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)
@@ -46,7 +47,7 @@
 
 .PHONY: binary
 binary:
-	$(GO_BUILD) -mod=vendor -o bin/oci-seccomp-bpf-hook -ldflags "-X main.version=$(OSBH_VERSION)" $(PROJECT)
+	$(GO_BUILD) -mod=vendor -o $(BUILDDIR)/bin/oci-seccomp-bpf-hook -ldflags "-X main.version=$(OSBH_VERSION)" $(PROJECT)
 
 .PHONY: validate
 validate:
@@ -73,7 +74,7 @@
 .PHONY: install.tools
 install.tools: .install.golangci-lint .install.md2man
 
-.install.golangci-lint: VERSION=v1.50.1
+.install.golangci-lint: VERSION=v1.60.3
 .install.golangci-lint:
 	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)
 
@@ -94,7 +95,7 @@
 install-nobuild: install.docs-nobuild
 	install $(SELINUXOPT) -d -m 755 $(DESTDIR)$(HOOK_BIN_DIR)
 	install $(SELINUXOPT) -d -m 755 $(DESTDIR)$(HOOK_DIR)
-	install $(SELINUXOPT) -m 755 bin/oci-seccomp-bpf-hook $(DESTDIR)$(HOOK_BIN_DIR)
+	install $(SELINUXOPT) -m 755 $(BUILDDIR)/bin/oci-seccomp-bpf-hook $(DESTDIR)$(HOOK_BIN_DIR)
 	install $(SELINUXOPT) -m 644 oci-seccomp-bpf-hook.json $(DESTDIR)$(HOOK_DIR)
 	sed -i 's|HOOK_BIN_DIR|$(HOOK_BIN_DIR)|g' $(DESTDIR)$(HOOK_DIR)/oci-seccomp-bpf-hook.json

=== debian/changelog ===
oci-seccomp-bpf-hook (1.2.11+ds-1) unstable; urgency=medium

  * New upstream version.
  * Re-enable copyright-scan, however skip internal logging subject to
    changes that unnecessarily break the package build.
  * Drop allow-separate-build-dir.patch, merged upstream.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 15 Apr 2025 18:31:52 +0200

oci-seccomp-bpf-hook (1.2.10+ds-3) unstable; urgency=medium

  * Team upload.
  * Use pkgconf instead of obsolete pkg-config.
  * Standards-Version: 4.7.2.
  * Don't re-generate d/copyright during build.  Closes: #1102613.
  * Add Static-Built-Using, suggested by lintian.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 11 Apr 2025 02:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                golang-logrus-dev,
                libconfig-model-dpkg-perl,
                libseccomp-dev,
-               pkg-config
-Standards-Version: 4.7.0
+               pkgconf
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook
 Vcs-Git: https://salsa.debian.org/go-team/packages/oci-seccomp-bpf-hook.git
 Homepage: https://github.com/containers/oci-seccomp-bpf-hook
@@ -30,6 +30,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: OCI hook to trace syscalls and generate a seccomp profile
  This project provides an OCI hook to generate seccomp profiles by
  tracing the syscalls made by the container. The generated profile

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,11 @@
 
 copyright-scan:
 	scan-copyrights >debian/$@.new.tmp 2>debian/$@.new.todo.tmp
-	(sed -e 's/^/# /' debian/$@.new.todo.tmp; echo; cat debian/$@.new.tmp) >debian/$@.new
+	( \
+		sed -e 's/^/# /' -e '/You may want to add a line in/q' debian/$@.new.todo.tmp; \
+		echo; \
+		cat debian/$@.new.tmp; \
+	) | grep -v "Note: loading debian/fill.copyright.blanks.yml" >debian/$@.new
 	diff -u debian/$@ debian/$@.new
 	rm debian/$@.new*
